Skip to main content
GET
/
deploy
/
{deploy_id}
/
stats2
Deploy Detailed Stats
curl --request GET \
  --url https://api.example.com/deploy/{deploy_id}/stats2 \
  --header 'Authorization: Bearer <token>'
{
  "llm": {
    "requests": 123,
    "input_tokens": 123,
    "output_tokens": 123,
    "avg_ttft_ms": 123,
    "avg95_ttft_ms": 123,
    "avg_tpt_ms": 123,
    "avg95_tpt_ms": 123,
    "total_amount_cents": 123,
    "errors": 123
  },
  "embeddings": {
    "requests": 123,
    "input_tokens": 123,
    "avg_tpt_ms": 123,
    "avg95_tpt_ms": 123,
    "total_amount_cents": 123,
    "errors": 123
  },
  "time": {
    "requests": 123,
    "total_time_s": 123,
    "total_amount_cents": 123,
    "avg_time_ms": 123,
    "avg95_time_ms": 123,
    "errors": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Path Parameters

deploy_id
string
required

Query Parameters

from
string
required

start of period, unix ts or 'now-5h', supported units s, m, h, d, w

to
string
default:now

end of period, unix ts or now-relative, check from, defaults to now

Response

Successful Response

llm
LLMDeploymentStatsOut · object

LLM Deployment Stats

embeddings
EmbeddingsDeploymentStatsOut · object

Embeddings Deployment Stats

time
TimeDeploymentStatsOut · object

Time based Deployment Stats